## ros-noetic-jackal-control 0.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(jackal_control)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/control.launch)
roslaunch_add_file_check(launch/teleop.launch)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-jackal-control (0.8.6-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 16 Nov 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.5-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-jackal-control (0.8.4-1buster) buster; urgency=high

  * Disable absolute yaw in default imu configuration
  * Set subst_value=true when loading the control_extras file to allow envar-defined configuration inside the file
  * Contributors: Chris I-B, Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-noetic-jackal-control (0.8.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.2-1buster) buster; urgency=high

  * Updated control.launch to new microstrain envvars and moved definition of ekf-localization paramaters into it
  * Added Microstrain GX5 to jackal_control
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.1-1buster) buster; urgency=high

  * predict odom->base_link tf to current time
  * Contributors: Ebrahim Shahrivar

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.0-1buster) buster; urgency=high

  * Merge branch 'noetic-devel-bkup' into noetic-devel
  * Fix the link_name parameter for the interactive marker server; the default for the package includes a leading '/', which prevents the markers from working on Noetic.  We can revert this if/when the default for interactive_marker_twist_server is modified.
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-noetic-jackal-control (0.7.5-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-noetic-jackal-control (0.7.4-1buster) buster; urgency=high

  * Bumped CMake version to avoid author warning.
  * Add the JACKAL_JOY_DEVICE envar to optionally override the joy device more easily.
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-noetic-jackal-control (0.7.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-jackal-control (0.7.2-1buster) buster; urgency=high

  * Load the control extras last (#75 <https://github.com/jackal/jackal/issues/75>)
  * Remove the PS4 device from the yaml file, always apply the parameter from the joy_dev argument instead (#73 <https://github.com/jackal/jackal/issues/73>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-jackal-control (0.7.1-1buster) buster; urgency=high

  * Disable ekf option (#71 <https://github.com/jackal/jackal/issues/71>)
    * added env var and if-statement to disable robot ekf
    * changed if to unless
    * clearer wording
  * Contributors: jmastrangelo-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-jackal-control (0.7.0-1buster) buster; urgency=high

  * Mark the PS3 controller launch file as deprecated, update the default joystick device to point to /dev/input/ps4, as per the new udev rules added to the bringup package
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-jackal-control (0.6.4-1buster) buster; urgency=high

  * Update control.launch
    Somehow a ">" has gone missing. This change adds it back in.
  * [jackal_control] Added control extras.
  * Contributors: Jeff Schmidt, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-jackal-control (0.6.3-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-jackal-control (0.6.2-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-jackal-control (0.6.1-1buster) buster; urgency=high

  * Added missing twist_mux.yaml.  Fixed malformed meshes
  * Added twist_mux and minor kinetic syntax changes
  * Contributors: Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-jackal-control (0.6.0-1buster) buster; urgency=high

  * [jackal_control] Made the PS4 controller default.
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-control (0.5.4-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-control (0.5.3-1buster) buster; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-noetic-jackal-control (0.5.2-1buster) buster; urgency=high

  * Removed reference to FootprintLayer.
  * Increased inflation radius to account for uneven wall in Jackal_world.
  * Added pointgrey camera and accessories.
  * Improve robot_localiztion params
  * Added Sick LMS1XX URDF.
  * Fixed example calibration output.
  * Added tutorials.
  * Contributors: Mike Purvis, Martin Cote, Tony Baltovski, James Servos

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Feb 2016 05:00:00 -0000

ros-noetic-jackal-control (0.5.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-noetic-jackal-control (0.5.0-1buster) buster; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jackal-control//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-jackal-control 0.8.8

=== debian/changelog ===
ros-noetic-jackal-control (0.8.8-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 05 Jun 2023 04:00:00 -0000

ros-noetic-jackal-control (0.8.7-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 19 Apr 2023 04:00:00 -0000

ros-noetic-jackal-control (0.8.6-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 16 Nov 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.5-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-jackal-control (0.8.4-1focal) focal; urgency=high

  * Disable absolute yaw in default imu configuration
  * Set subst_value=true when loading the control_extras file to allow envar-defined configuration inside the file
  * Contributors: Chris I-B, Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-noetic-jackal-control (0.8.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.2-1focal) focal; urgency=high

  * Updated control.launch to new microstrain envvars and moved definition of ekf-localization paramaters into it
  * Added Microstrain GX5 to jackal_control
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.1-1focal) focal; urgency=high

  * predict odom->base_link tf to current time
  * Contributors: Ebrahim Shahrivar

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-jackal-control (0.8.0-1focal) focal; urgency=high

  * Merge branch 'noetic-devel-bkup' into noetic-devel
  * Fix the link_name parameter for the interactive marker server; the default for the package includes a leading '/', which prevents the markers from working on Noetic.  We can revert this if/when the default for interactive_marker_twist_server is modified.
  * Contributors: Chris Iverach-Brereton

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-noetic-jackal-control (0.7.5-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-noetic-jackal-control (0.7.4-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Add the JACKAL_JOY_DEVICE envar to optionally override the joy device more easily.
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-noetic-jackal-control (0.7.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-jackal-control (0.7.2-1focal) focal; urgency=high

  * Load the control extras last (#75 <https://github.com/jackal/jackal/issues/75>)
  * Remove the PS4 device from the yaml file, always apply the parameter from the joy_dev argument instead (#73 <https://github.com/jackal/jackal/issues/73>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-jackal-control (0.7.1-1focal) focal; urgency=high

  * Disable ekf option (#71 <https://github.com/jackal/jackal/issues/71>)
    * added env var and if-statement to disable robot ekf
    * changed if to unless
    * clearer wording
  * Contributors: jmastrangelo-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-jackal-control (0.7.0-1focal) focal; urgency=high

  * Mark the PS3 controller launch file as deprecated, update the default joystick device to point to /dev/input/ps4, as per the new udev rules added to the bringup package
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-jackal-control (0.6.4-1focal) focal; urgency=high

  * Update control.launch
    Somehow a ">" has gone missing. This change adds it back in.
  * [jackal_control] Added control extras.
  * Contributors: Jeff Schmidt, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-jackal-control (0.6.3-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-jackal-control (0.6.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-noetic-jackal-control (0.6.1-1focal) focal; urgency=high

  * Added missing twist_mux.yaml.  Fixed malformed meshes
  * Added twist_mux and minor kinetic syntax changes
  * Contributors: Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-noetic-jackal-control (0.6.0-1focal) focal; urgency=high

  * [jackal_control] Made the PS4 controller default.
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-control (0.5.4-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-noetic-jackal-control (0.5.3-1focal) focal; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-noetic-jackal-control (0.5.2-1focal) focal; urgency=high

  * Removed reference to FootprintLayer.
  * Increased inflation radius to account for uneven wall in Jackal_world.
  * Added pointgrey camera and accessories.
  * Improve robot_localiztion params
  * Added Sick LMS1XX URDF.
  * Fixed example calibration output.
  * Added tutorials.
  * Contributors: Mike Purvis, Martin Cote, Tony Baltovski, James Servos

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Feb 2016 05:00:00 -0000



=== debian/control ===
Source: ros-noetic-jackal-control
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: http://wiki.ros.org/jackal_control
Standards-Version: 3.9.2

Package: ros-noetic-jackal-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-manager, ros-noetic-diff-drive-controller, ros-noetic-interactive-marker-twist-server, ros-noetic-joint-state-controller, ros-noetic-joy, ros-noetic-robot-localization, ros-noetic-teleop-twist-joy, ros-noetic-topic-tools, ros-noetic-twist-mux
Description: Controllers for Jackal
